Bug 240582 - pkgbase: error "cap_mkdb: file argument: No such file or directory" after r351858
Summary: pkgbase: error "cap_mkdb: file argument: No such file or directory" after r35...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-14 16:50 UTC by Martin
Modified: 2019-10-02 13:59 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2019-09-14 16:50:42 UTC
Building a jail from pkgbase packages after base r351858 shows this cap_mkdb message:

to create the jail this command is used:

pkg --rootdir /jails/test01 -o 'ASSUME_ALWAYS_YES=true' -o 'ABI=FreeBSD:13:amd64' install --repository FreeBSD-base FreeBSD-utilities FreeBSD-rc
(note: FreeBSD-base is the repository name, not a package)

...
Checking integrity... done (0 conflicting)
[1/20] Installing FreeBSD-clibs-13.0.s20190914152450...
[1/20] Extracting FreeBSD-clibs-13.0.s20190914152450: .......... done
[2/20] Installing FreeBSD-runtime-13.0.s20190914152450...
[2/20] Extracting FreeBSD-runtime-13.0.s20190914152450: .......... done
cap_mkdb: file argument: No such file or directory
[3/20] Installing FreeBSD-utilities-13.0.s20190914152450...
[3/20] Extracting FreeBSD-utilities-13.0.s20190914152450: .......... done
[4/20] Installing FreeBSD-rc-13.0.s20190914152450...
[4/20] Extracting FreeBSD-rc-13.0.s20190914152450: .......... done
...

This happens, after the login.conf file was moved into the Freebsd-utilities package.
The order in which the packages are installed is problematic, since cap_mkdb is executed in step 2, the FreeBSD-runtime package installation,
but the login.conf file is installed in step 3, the FreeBSD-utilities.
Comment 1 Emmanuel Vadot freebsd_committer 2019-09-14 17:52:10 UTC
I'll have a look at this, thanks for reporting.
Comment 2 Martin 2019-10-02 13:59:02 UTC
When using pkgbase after r352389 the message "cap_mkdb: file argument: No such file or directory" does no longer appear. I think teh report can be closed.